<?php
/**
 * @package     Article Images Gallery
 *
 * @copyright   Copyright (C) 2017 Joomcar extensions. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die;

/**
 * Editor Article Images Gallery button
 */
class PlgButtonArticleimagesgalleryck_button extends JPlugin {

	public function onDisplay($EditorInstanceName) {
		if(JFactory::getApplication()->input->get("option") != "com_content" && JFactory::getApplication()->input->get("view") != "article") {
			return;
		}
		$app = JFactory::getApplication();
		$user = JFactory::getUser();
		$extension = $asset = $app->input->get('option');

		if (	$user->authorise('core.edit', $asset)
			||	$user->authorise('core.create', $asset)
			||	(count($user->getAuthorisedCategories($asset, 'core.create')) > 0)
			||	($user->authorise('core.edit.own', $asset) && $author == $user->id)
			||	(count($user->getAuthorisedCategories($extension, 'core.edit')) > 0)
			||	(count($user->getAuthorisedCategories($extension, 'core.edit.own')) > 0 && $author == $user->id))
		{			
			$link = 'index.php?ImagestabButtonGallery=1';
			$id = '';
			if(isset($_GET['id'])) {
				$id = $_GET['id'];
			}
			else {
				if(isset($_GET['a_id'])) {
					$id = $_GET['a_id'];
				}
			}
			$link .= '&id='.$id;
			$link .= "&editor=" . $EditorInstanceName;

			$button = new JObject;
			$button->modal = true;
			$button->class = 'btn';
			$button->link = $link;
			$button->text = JText::_('Article Images Gallery CK');
			$button->name = 'pictures';
			$button->options = "{handler: 'iframe', size: {x: 800, y: 500}}";
			$button->icon    = 'images';
            $button->iconSVG = '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 576 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><path d="M480 416v16c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V176c0-26.51 21.49-48 48-48h16v48H54a6 6 0 0 0-6 6v244a6 6 0 0 0 6 6h372a6 6 0 0 0 6-6v-10h48zm42-336H150a6 6 0 0 0-6 6v244a6 6 0 0 0 6 6h372a6 6 0 0 0 6-6V86a6 6 0 0 0-6-6zm6-48c26.51 0 48 21.49 48 48v256c0 26.51-21.49 48-48 48H144c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h384zM264 144c0 22.091-17.909 40-40 40s-40-17.909-40-40 17.909-40 40-40 40 17.909 40 40zm-72 96l39.515-39.515c4.686-4.686 12.284-4.686 16.971 0L288 240l103.515-103.515c4.686-4.686 12.284-4.686 16.971 0L480 208v80H192v-48z"/></svg>';

			return $button;
		}
		else
		{
			return false;
		}
	}
}
